﻿@model PagedList<DomainModels.Entities.Shop.BuyRequest>


@{
    ViewBag.Title = "لیست درخواست های خرید ارز";
}


@Html.Partial("~/Areas/Admin/Views/Partial/_ShowMessage.cshtml")

<div class="row">
	<div class="col-lg-12">
        <table id="miyazaki" class="tbl-grid" style="width: 100%;">
            <thead>
                <tr>
                    <th>
                        @Html.DisplayNameFor(model => model.Data.First().RowGuid)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.Data.First().UserId)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.Data.First().Amount)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.Data.First().Price)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.Data.First().RequestStatusId)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.Data.First().CreatedOn)
                    </th>
                    <th></th>
                </tr>
            </thead>
            <tbody>
                @foreach (var item in Model.Data)
                {
                    <tr>
                        <td>
                            @Html.DisplayFor(modelItem => item.RowGuid)
                        </td>
                        <td>
                            <a style="color:#1388dd" href="/User/Detail/@item.UserId">@item.User.FullName (@item.UserId)</a>
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.Amount)
                        </td>
                        <td>
                            @Html.ShowNumberWithCommaSeperator(item.Price)
                        </td>
                        <td>
                            @Html.ShowRequestStatus(item.RequestStatus)
                        </td>
                        <td>
                            @Html.ShowDateTime(item.CreatedOn, ShamsiDateFormatType.ToPersianWithTime)
                        </td>
                        <td>
                            @if (item.RequestStatus.Name == DomainModels.Entities.Shop.RequestStatusName.Welded)
                            {
                                @Html.ActionLink("جزئیات معامله", "Detail", "Deal", new { code = item.RowGuid }, new { @class = "btn btn-info" })
                            }
                        </td>
                    </tr>
                }
            </tbody>
        </table>

		@Html.ShowEmptyLabel(Model.Data)
        @Html.ShowPagerDescription(Model)
        @Html.ShowPager(Model, Url.Action("Index"))
			
	</div>
</div>
